Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rabbit.util
Interface Logger

All Known Implementing Classes:
  BaseHandler, FilterHandler, GZIPHandler, ImageHandler, MultiPartHandler, Proxy

    public interface Logger

A logger interface.

Field Summary
`static int` | `ALL` Show all normal messages and higher.
`static int` | `DEBUG` Show all messages in the log.
`static int` | `ERROR` Show error messages and higer.
`static int` | `FATAL` Show only fatal messages.
`static int` | `INFO` Show information messages and higher.
`static int` | `MSG` Show important messages and above.
`static int` | `WARN` Show warnings and higer.

Method Summary
`void` | `logError(int type, java.lang.String error)` Log an error of given type and with given message.
`void` | `logError(java.lang.String error)` Log an error.

Field Detail

### DEBUG

    static final int DEBUG

  Show all messages in the log.

  See Also:
    Constant Field Values

### ALL

    static final int ALL

  Show all normal messages and higher.

  See Also:
    Constant Field Values

### INFO

    static final int INFO

  Show information messages and higher.

  See Also:
    Constant Field Values

### WARN

    static final int WARN

  Show warnings and higer.

  See Also:
    Constant Field Values

### MSG

    static final int MSG

  Show important messages and above.

  See Also:
    Constant Field Values

### ERROR

    static final int ERROR

  Show error messages and higer.

  See Also:
    Constant Field Values

### FATAL

    static final int FATAL

  Show only fatal messages.

  See Also:
    Constant Field Values

Method Detail

### logError

    void logError(java.lang.String error)

  Log an error. Same as `logError (ERROR, error);`

### logError

    void logError(int type,
                  java.lang.String error)

  Log an error of given type and with given message.

  Parameters:
    `type` - the error level.
    `error` - the error message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD